ru.yandex.clickhouse.util

## Class IpVersionPriorityResolver

- java.lang.Object
- - ru.yandex.clickhouse.util.IpVersionPriorityResolver

All Implemented Interfaces:
  org.apache.http.conn.DnsResolver

    public class IpVersionPriorityResolver
    extends Object
    implements org.apache.http.conn.DnsResolver

### Constructor Summary

Constructors
Constructor and Description
`IpVersionPriorityResolver()`
`IpVersionPriorityResolver(boolean preferV6)`

### Method Summary

All Methods Instance Methods Concrete Methods
`InetAddress[]` `resolve(String host)`
`void` `setPreferV6(boolean preferV6)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IpVersionPriorityResolver

    public IpVersionPriorityResolver()

#### IpVersionPriorityResolver

    public IpVersionPriorityResolver(boolean preferV6)

### Method Detail

#### resolve

    public InetAddress[] resolve(String host)
                          throws UnknownHostException

Specified by:
  `resolve` in interface `org.apache.http.conn.DnsResolver`
Throws:
  `UnknownHostException`

#### setPreferV6

    public void setPreferV6(boolean preferV6)